{#
    LimeSurvey
    Copyright (C) 2017-2022 The LimeSurvey Project Team / Denis Chenu
    All rights reserved.
    License: GNU/GPL License v2 or later, see LICENSE.php
    LimeSurvey is free software. This version may have been modified pursuant
    to the GNU General Public License, and as distributed it includes or
    is derivative of works licensed under the GNU General Public License or
    other free or open source software licenses.
    See COPYRIGHT.php for copyright notices and details.

    (¯`·._.·(¯`·._.· SkelVanilla survey template options ._.·´¯)·._.·´¯)
#}
<div class="container-fluid" style="position:relative">
    <div class="row">
        {# Begin template option form #}
        <div class='form action_update_options_string_form' action=''>
            {# If this is a surveyspecific settings page, offer the possibility to do a full inheritance of the parent template #}
            {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
            <h3 class="h3">{{ gT("Inherit") }}</h3>
                <div class='row' id="general_inherit_active">
                    <div class='form-group row'>
                        <label for='simple_edit_options_general_inherit' class='control-label'>{{gT("Inherit everything" )}}</label>
                        <div class='col-sm-12'>
                            <div class="btn-group" data-toggle="buttons">
                                <label class="btn btn-default">
                                    <input id="general_inherit_on" name='general_inherit' type='radio' value='on' class='selector_option_general_inherit ' data-id='simple_edit_options_general_inherit'/>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input id="general_inherit_off" name='general_inherit' type='radio' value='off' class='selector_option_general_inherit ' data-id='simple_edit_options_general_inherit'/>
                                    {{ gT("No") }}
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <hr/>
                </div>
            {% endif %}
            {# If this is a surveyspecific settings page, offer the possibility to do a full inheritance of the parent template #}

            {# CSS variation : fixed for parent, can be updated in child #}
            {% set templateOptions = json_decode(templateConfiguration.options) %}
            {% set sAvailableVariations = templateOptions.availablevariations %}
            {% if(sAvailableVariations == 'inherit' or sAvailableVariations is empty) %}
                {# still broken in 4 #}
                {% set sAvailableVariations = oParentOptions.availablevariations %}
            {% endif %}

            {# Functionnal #}
            <h3 class="h3 action_hide_on_inherit">{{ gT("Functionnal") }}</h3>
            {# First settings row #}
            <div class="row action_hide_on_inherit">
                {# hideprivacyinfo #}
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_hideprivacyinfo' class='control-label col-xs-4'>{{ gT("Hide anonymity information") }}</label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons">
                                <label class="btn btn-default">
                                    <input type='radio' name='hideprivacyinfo' value='on' class='selector_option_radio_field simple_edit_options_hideprivacyinfo ' data-id='hideprivacyinfo'/>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='hideprivacyinfo' value='off' class='selector_option_radio_field simple_edit_options_hideprivacyinfo ' data-id='hideprivacyinfo'/>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='hideprivacyinfo' value='inherit' class='selector_option_radio_field simple_edit_options_hideprivacyinfo ' data-id='hideprivacyinfo'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
                {# Clear all #}
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label id='simple_edit_options_showclearall' class='control-label col-xs-4'> {{ gT("Show clear all") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons" role='radiogroup' aria-labelledby='simple_edit_options_showclearall' data-default='on'>
                                <label class="btn btn-default">
                                    <input type='radio' name='showclearall' value='on' class='selector_option_radio_field simple_edit_options_showclearall ' data-id='showclearall'/>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='showclearall' value='off' class='selector_option_radio_field simple_edit_options_showclearall ' data-id='showclearall'/>
                                    {{ gT("No") }}
                                </label>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='showclearall' value='inherit' class='selector_option_radio_field simple_edit_options_showclearall ' data-id='showclearall'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
                {# Show popups #}
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_showpopups' class='control-label col-xs-4'>{{ gT("Show popups") }}</label>
                        <div class='col-xs-8'>
                            <select class='form-control selector_option_value_field' id='simple_edit_options_showpopups' name='showpopups'>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <option value="inherit"> {{ gT('Inherit') }}</option>
                                {% endif %}
                                <option value="1">{{ gT("Popup") }}</option>
                                <option value="0">{{ gT("On page") }}</option>
                                <option value="-1">{{ gT("Off") }}</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>

            <div class ="row action_hide_on_inherit">
                {# Dynamic validity #}
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_dynamicvalidity' class='control-label col-xs-4'> {{ gT("Dynamic validity") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons">
                                <label class="btn btn-default">
                                    <input type='radio' name='dynamicvalidity' value='on' class='selector_option_radio_field simple_edit_options_dynamicvalidity ' data-id='dynamicvalidity'/>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='dynamicvalidity' value='off' class='selector_option_radio_field simple_edit_options_dynamicvalidity ' data-id='dynamicvalidity'/>
                                    {{ gT("No") }}
                                </label>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='dynamicvalidity' value='inherit' class='selector_option_radio_field simple_edit_options_dynamicvalidity ' data-id='dynamicvalidity'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                        {% if(not oParentOptions.dynamicvalidity) %}
                            <p class="col-xs-12 text-warning">{{ gT("You need to reset template to use this option.") }}</p>
                        {% else %}
                            <p class="col-xs-12 help-block">{{ gT("Use required and input validity according to survey. Using javascript only.") }}</p>
                            <p class="col-xs-12 help-block text-warning">{{ gT("This is a work in progress feature, please test and report issue.") }}</p>
                        {% endif %}
                    </div>
                </div>
                {# Mandatory position #}
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_mandatoryposition' class='control-label col-xs-4'>{{ gT("Mandatory position") }}</label>
                        <div class='col-xs-8'>
                            <select class='form-control selector_option_value_field' id='simple_edit_options_mandatoryposition' name='mandatoryposition'  data-default='astip'>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <option value="inherit"> {{ gT('Inherit') }}</option>
                                {% endif %}
                                <option value="off"}>{{ gT("Only asterisk and hidden aria help") }}</option>
                                <option value="block">{{ gT("Asterisk and mandatory text") }}</option>
                                <option value="astip">{{ gT("As other tips, just before answers.") }}</option>
                            </select>
                        </div>
                        <p class="col-xs-12 help-block">{{ gT("Asterisk still shown, but with or without associated text.") }}</p>
                    </div>
                </div>
                
                {# errorTopLinks #}
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_errorattop' class='control-label col-xs-4'> {{ gT("Add links to errors.") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons" role="radiogroup" data-default='on'>
                                <label class="btn btn-default">
                                    <input type='radio' name='errorattop' value='on' class='selector_option_radio_field simple_edit_options_errorattop ' data-id='errorattop'/>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='errorattop' value='off' class='selector_option_radio_field simple_edit_options_errorattop ' data-id='errorattop'/>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='errorattop' value='inherit' class='selector_option_radio_field simple_edit_options_errorattop ' data-id='errorattop'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                            <p class="help-block">{{ gT("If show popups is set to on page : add the list of error in the error alert.") }}</p>
                        </div>
                    </div>
                </div>
            </div>

            <div class ="row action_hide_on_inherit">
                {# Fix num auto (and real num value) #}
                <div class='col-sm-12 col-md-6 col-lg-4 container-fluid'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_fixnumauto' class='control-label col-xs-4'>{{ gT("Fix automatically numeric value") }}</label>
                        <div class='col-xs-8'>
                            <select class='form-control selector_option_value_field' id='simple_edit_options_fixnumauto' name='fixnumauto'>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <option value="inherit"> {{ gT('Inherit') }}</option>
                                {% else %}
                                    <option value="off"> {{ gT('Default') }}</option>
                                {% endif %}
                                <option value="enable">{{ gT("Yes") }}</option>
                                <option value="partial">{{ gT("For expression") }}</option>
                                <option value="disable">{{ gT("No") }}</option>
                            </select>
                        </div>
                    </div>
                </div>

            </div>
            <div class ="row action_hide_on_inherit">
                {# Tag for question #}
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_questionhtag' class='control-label col-xs-4'> {{ gT("h2 or h3 title for question") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons" role="radiogroup" data-default='off'>
                                <label class="btn btn-default">
                                    <input type='radio' name='questionhtag' value='on' class='selector_option_radio_field simple_edit_options_questionhtag ' data-id='questionhtag'/>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='questionhtag' value='off' class='selector_option_radio_field simple_edit_options_questionhtag ' data-id='questionhtag'/>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='questionhtag' value='inherit' class='selector_option_radio_field simple_edit_options_questionhtag ' data-id='questionhtag'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                            <p class="help-block">{{ gT("Be sure to use only one line text without complex HTML.") }}</p>
                        </div>
                    </div>
                </div>
                {# Set hash to disable previous navigator#}
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_removeback' class='control-label col-xs-4'> {{ gT("Remove back") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons">
                                <label class="btn btn-default">
                                    <input type='radio' name='removeback' value='on' class='selector_option_radio_field simple_edit_options_removeback ' data-id='removeback'/>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='removeback' value='off' class='selector_option_radio_field simple_edit_options_removeback ' data-id='removeback'/>
                                    {{ gT("No") }}
                                </label>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='removeback' value='inherit' class='selector_option_radio_field simple_edit_options_removeback ' data-id='removeback'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                        {% if(not oParentOptions.removeback) %}
                            <p class="col-xs-12 text-warning">{{ gT("You need to reset template to use this option.") }}</p>
                        {% else %}
                            <p class="col-xs-12 help-block">{{ gT("Add a javascript system to disable previous button of web navigator.") }}</p>
                        {% endif %}
                    </div>
                </div>
                {# Fixed header for table #}
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label id='simple_edit_options_tableheader' class='control-label col-xs-4'> {{ gT("Use fixed static header in table") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons" role='radiogroup' aria-labelledby='simple_edit_options_tableheader' data-default='on'>
                                <label class="btn btn-default">
                                    <input type='radio' name='tableheader' value='on' class='selector_option_radio_field simple_edit_options_tableheader ' data-id='tableheader'/>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='tableheader' value='off' class='selector_option_radio_field simple_edit_options_tableheader ' data-id='tableheader'/>
                                    {{ gT("No") }}
                                </label>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='tableheader' value='inherit' class='selector_option_radio_field simple_edit_options_tableheader ' data-id='tableheader'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                        <p class="help-block col-xs-12">{{ gT("Header on table uise css to always be shown at top of table.") }}</p>
                    </div>
                </div>
            </div>

            <h3 class="h4 action_hide_on_inherit">{{ gT("Top link actions") }}</h3>
            <div class="row action_hide_on_inherit">
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label id='simple_edit_options_savelink' class='control-label col-xs-4'> {{ gT("Save header link") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons" role='radiogroup' aria-labelledby='simple_edit_options_savelink' data-default='on'>
                                <label class="btn btn-default">
                                    <input type='radio' name='savelink' value='on' class='selector_option_radio_field simple_edit_options_savelink ' data-id='savelink'>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='savelink' value='off' class='selector_option_radio_field simple_edit_options_savelink ' data-id='savelink'>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='savelink' value='inherit' class='selector_option_radio_field simple_edit_options_savelink ' data-id='savelink'>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label id='simple_edit_options_clearalllink' class='control-label col-xs-4'> {{ gT("Clear all header link") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons" role='radiogroup' aria-labelledby='simple_edit_options_clearalllink' data-default='on'>
                                <label class="btn btn-default">
                                    <input type='radio' name='clearalllink' value='on' class='selector_option_radio_field simple_edit_options_clearalllink ' data-id='clearalllink'>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='clearalllink' value='off' class='selector_option_radio_field simple_edit_options_clearalllink ' data-id='clearalllink'>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='clearalllink' value='inherit' class='selector_option_radio_field simple_edit_options_clearalllink ' data-id='clearalllink'>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label id='simple_edit_options_indexlink' class='control-label col-xs-4'> {{ gT("Index header links") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons" role='radiogroup' aria-labelledby='simple_edit_options_indexlink' data-default='on'>
                                <label class="btn btn-default">
                                    <input type='radio' name='indexlink' value='on' class='selector_option_radio_field simple_edit_options_indexlink ' data-id='indexlink'>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='indexlink' value='off' class='selector_option_radio_field simple_edit_options_indexlink ' data-id='indexlink'>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='indexlink' value='inherit' class='selector_option_radio_field simple_edit_options_indexlink ' data-id='indexlink'>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label id='simple_edit_options_languagelink' class='control-label col-xs-4'> {{ gT("Langage changer header links") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons" role='radiogroup' aria-labelledby='simple_edit_options_languagelink' data-default='on'>
                                <label class="btn btn-default">
                                    <input type='radio' name='languagelink' value='on' class='selector_option_radio_field simple_edit_options_languagelink ' data-id='languagelink'>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='languagelink' value='off' class='selector_option_radio_field simple_edit_options_languagelink ' data-id='languagelink'>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='languagelink' value='inherit' class='selector_option_radio_field simple_edit_options_languagelink ' data-id='languagelink'>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label id='simple_edit_options_previouslink' class='control-label col-xs-4'> {{ gT("Move previous header link") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons" role='radiogroup' aria-labelledby='simple_edit_options_previouslink' data-default='off'>
                                <label class="btn btn-default">
                                    <input type='radio' name='previouslink' value='on' class='selector_option_radio_field simple_edit_options_previouslink ' data-id='languagelink'>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='previouslink' value='off' class='selector_option_radio_field simple_edit_options_previouslink ' data-id='languagelink'>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='previouslink' value='inherit' class='selector_option_radio_field simple_edit_options_previouslink ' data-id='languagelink'>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
                <div class='col-sm-12 col-md-6 col-lg-4'>
                    <div class='form-group row'>
                        <label id='simple_edit_options_nextsubmitlink' class='control-label col-xs-4'> {{ gT("Move next and submit header link") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons" role='radiogroup' aria-labelledby='simple_edit_options_nextsubmitlink' data-default='off'>
                                <label class="btn btn-default">
                                    <input type='radio' name='nextsubmitlink' value='on' class='selector_option_radio_field simple_edit_options_nextsubmitlink ' data-id='languagelink'>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='nextsubmitlink' value='off' class='selector_option_radio_field simple_edit_options_nextsubmitlink ' data-id='languagelink'>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='nextsubmitlink' value='inherit' class='selector_option_radio_field simple_edit_options_nextsubmitlink ' data-id='languagelink'>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <h3 class="h3 action_hide_on_inherit">{{ gT("Visual") }}</h3>
            <div class="row action_hide_on_inherit">
                <div class='col-sm-12'>
                    <div class='panel panel-default'>
                        <div class='panel-heading'>{{ sprintf( gT("%s variations"), templateConfiguration.template_name) }} </div>
                        <div class='panel-body'>
                            <div class='form-group row'>
                                <label for='simple_edit_options_theme' class='control-label'>{{ gT("Select variation:") }}</label>
                                <div class='col-sm-12'>
                                    <select class='form-control selector_option_value_field' id='simple_edit_options_theme' name='theme'>
                                        <option value="off">{{ gT('None') }} - {{ gT('bootstrap.css updatable via theme editor') }}</option>
                                        {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                            <option value="inherit"> {{ gT('Inherit') }}</option>
                                        {% endif %}
                                        {% for variation,oVariation in json_decode(sAvailableVariations) %}
                                            {% set aVariation = json_decode(json_encode(oVariation)) %}
                                            {% if not aVariation.disable %}
                                                <optgroup label="{{ aVariation.name }}">
                                                    {% if aVariation.base %}
                                                        <option value="css/variations/{{ variation }}-base.min.css"> {{ aVariation.name }} - Base</option>
                                                    {% endif %}
                                                    {% if aVariation.button %}
                                                        <option value="css/variations/{{ variation }}-button.min.css">{{ aVariation.name }} - Button for radio and checkbox</option>
                                                    {% endif %}
                                                    {% if aVariation.awesome %}
                                                        <option value="css/variations/{{ variation }}-awesome.min.css">{{ aVariation.name }} - Awesome checkbox and radio</option>
                                                    {% endif %}
                                                    {% if aVariation.button_awesome %}
                                                        <option value="css/variations/{{ variation }}-button_awesome.min.css">{{ aVariation.name }} -  Button &amp; awesome checkbox and radio</option>
                                                    {% endif %}
                                                </optgroup>
                                            {% endif %}
                                        {% endfor %}
                                    </select>
                                    <p class="help-block">All variations done with <a href="https://gitlab.com/SondagesPro/SurveyThemes/less-skelvanilla">less-skelvanilla</a>.<br>Contrast use contrasted color and use the default browser font and font size. Fruity are updated contrats using same color than Fruity LimeSurvey theme, Copyright (c) 2018-2019 LimeSurvey team.<br>Other variations come from <a href="https://bootswatch.com/3/">bootswatch</a>, Copyright (c) 2013 Thomas Park.</p>
                                    {% if templateConfiguration.sid is not empty %}
                                        <div class='hidden' id='inherited-available-variation'></div>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                {% if templateConfiguration.sid is empty %}
                <div class='col-sm-12'>
                    <div class='form-group row'>
                        <label for='simple_edit_json_availablevariation' class='control-label'>{{ gT("Available variation:") }}</label>
                        <textarea class='form-control text_option_json_field' id='edit_json_availablevariations' name='availablevariations'>{{ sAvailableVariations }}</textarea>
                    </div>
                </div>
                {% endif %}
            </div>
            <div class="row action_hide_on_inherit">
                {# Container #}
                <div class='col-sm-12 col-md-6 col-lg-3'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_container' class='control-label col-xs-4'> {{ gT("Survey container") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons">
                                <label class="btn btn-default">
                                    <input type='radio' name='container' value='on' class='selector_option_radio_field simple_edit_options_container ' data-id='container'/>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='container' value='off' class='selector_option_radio_field simple_edit_options_container ' data-id='container'/>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='container' value='inherit' class='selector_option_radio_field simple_edit_options_container ' data-id='container'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
                <div class='col-sm-12 col-md-6 col-lg-3'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_headercontainer' class='control-label col-xs-4'> {{ gT("Header container") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons"  data-default='off'>
                                <label class="btn btn-default">
                                    <input type='radio' name='headercontainer' value='on' class='selector_option_radio_field simple_edit_options_headercontainer ' data-id='headercontainer'/>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='headercontainer' value='off' class='selector_option_radio_field simple_edit_options_headercontainer ' data-id='headercontainer'/>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='headercontainer' value='inherit' class='selector_option_radio_field simple_edit_options_headercontainer ' data-id='headercontainer'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                        <p class="help-block col-xs-12">{{ gT("Set as following survey container, default is no : header take all width.") }}</p>
                    </div>
                </div>
            </div>
            <div class="row action_hide_on_inherit">
                {# Question size #}
                <div class='col-sm-12 col-md-6 col-lg-3 container-fluid'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_questionsize' class='control-label col-xs-4'> {{ gT("Question size") }} </label>
                        <div class='col-xs-8'>
                            <select class='form-control selector_option_value_field' id='simple_edit_options_questionsize' name='questionsize'>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <option value="inherit"> {{ gT('Inherit') }}</option>
                                {% endif %}
                                <option value="body-copy">{{ gT('Body copy') }}</option>
                                <option value="h5">h5</option>
                                <option value="h4">h4</option>
                                <option value="h3">h3</option>
                                <option value="h2">h2</option>
                                <option value="lead">lead</option>
                            </select>
                        </div>
                        <p class="help-block col-xs-12">{{ gT("Size are from your bootsrap theme.") }}</p>
                    </div>
                </div>
                {# Question color #}
                <div class='col-sm-12 col-md-6 col-lg-3 container-fluid'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_questioncolor' class='control-label col-xs-4'> {{ gT("Question color") }} </label>
                        <div class='col-xs-8'>
                            <select class='form-control selector_option_value_field' id='simple_edit_options_questioncolor' name='questioncolor'>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <option value="inherit"> {{ gT('Inherit') }}</option>
                                {% endif %}
                                <option value="none">{{ gT("Body color (no color)") }}</option>
                                <option value="primary">{{ gT("Primary color") }}</option>
                                <option value="info">{{ gT("Info color") }}</option>
                                <option value="success">{{ gT("Success color") }}</option>
                                <option value="warning">{{ gT("Warning color") }}</option>
                            </select>
                        </div>
                        <p class="help-block col-xs-12">{{ gT("Color are from your bootsrap theme. With panel : it's the panel color.") }}</p>
                    </div>
                </div>
                {# Question color on error#}
                <div class='col-sm-12 col-md-6 col-lg-3 container-fluid'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_dangercolor' class='control-label col-xs-4'> {{ gT("Use danger color") }} </label>
                        <div class='col-xs-8'>
                            <select class='form-control selector_option_value_field' id='simple_edit_options_dangercolor' name='dangercolor'>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <option value="inherit"> {{ gT('Inherit') }}</option>
                                {% endif %}
                                <option value="on">{{ gT("Yes") }}</option>
                                <option value="off">{{ gT("No") }}</option>
                            </select>
                        </div>
                        <p class="help-block col-xs-12">{{ gT("Only when survey is submitted and there are error : set danger color to the question.") }}</p>
                    </div>
                </div>
                {# Question wrapper #}
                <div class='col-sm-12 col-md-6 col-lg-3 container-fluid'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_questionwrap' class='control-label col-xs-4'> {{ gT("Question wrapper") }} </label>
                        <div class='col-xs-8'>
                            <select class='form-control selector_option_value_field' id='simple_edit_options_questionwrap' name='questionwrap'>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <option value="inherit"> {{ gT('Inherit') }}</option>
                                {% endif %}
                                <option value="none">{{ gT("No wrapper") }}</option>
                                <option value="well">{{ gT("Wells wrapper") }}</option>
                                <option value="panel">{{ gT("Panel wrapper") }}</option>
                            </select>
                        </div>
                        <p class="help-block col-xs-12">{{ gT("Simple usage of well or panel from bootrap, for panel : color is for background.") }}</p>
                    </div>
                </div>
            </div>
            <div class="row action_hide_on_inherit">
                {# Help color #}
                <div class='col-sm-12 col-md-6 col-lg-3'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_helpcolor' class='control-label col-xs-4'> {{ gT("Help color") }} </label>
                        <div class='col-xs-8'>
                            <select class='form-control selector_option_value_field' id='simple_edit_options_helpcolor' name='helpcolor'>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <option value="inherit"> {{ gT('Inherit') }}</option>
                                {% endif %}
                                <option value="body-color">{{ gT("Body color") }}</option>
                                <option value="text-muted">{{ gT("Text muted") }}</option>
                                <option value="text-primary">{{ gT("Text primary") }}</option>
                                <option value="text-info">{{ gT("Text info") }}</option>
                                <option value="text-success">{{ gT("Text success") }}</option>
                                <option value="text-warning">{{ gT("Text warning") }}</option>
                            </select>
                        </div>
                    </div>
                </div>
                {# Help color #}
                <div class='col-sm-12 col-md-6 col-lg-3'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_validitycolor' class='control-label col-xs-4'> {{ gT("Dynamic help color (Validity)") }} </label>
                        <div class='col-xs-8'>
                            <select class='form-control selector_option_value_field' id='simple_edit_options_validitycolor' name='validitycolor'>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <option value="inherit"> {{ gT('Inherit') }}</option>
                                {% endif %}
                                <option value="body-color">{{ gT("Body color") }}</option>
                                <option value="text-muted">{{ gT("Text muted") }}</option>
                                <option value="text-primary">{{ gT("Text primary") }}</option>
                                <option value="text-info">{{ gT("Text info") }}</option>
                                <option value="text-success">{{ gT("Text success") }}</option>
                                <option value="text-warning">{{ gT("Text warning") }}</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row action_hide_on_inherit">
                {# Fixed header #}
                <div class='col-sm-12 col-md-6 col-lg-3'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_fixedheader' class='control-label col-xs-4'> {{ gT("Fixed header") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons">
                                <label class="btn btn-default">
                                    <input type='radio' name='fixedheader' value='on' class='selector_option_radio_field simple_edit_options_fixedheader ' data-id='fixedheader'/>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='fixedheader' value='off' class='selector_option_radio_field simple_edit_options_fixedheader ' data-id='fixedheader'/>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='fixedheader' value='inherit' class='selector_option_radio_field simple_edit_options_fixedheader ' data-id='fixedheader'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row action_hide_on_inherit">
                {# Body loading loaded #}
                <div class='col-sm-12 col-md-6 col-lg-3'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_bodyloaded' class='control-label col-xs-4'> {{ gT("Body loaded") }} </label>
                        <div class='col-xs-8'>
                            <div class="btn-group" data-toggle="buttons">
                                <label class="btn btn-default">
                                    <input type='radio' name='bodyloaded' value='on' class='selector_option_radio_field simple_edit_options_bodyloaded ' data-id='bodyloaded'/>
                                    {{ gT("Yes") }}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='bodyloaded' value='off' class='selector_option_radio_field simple_edit_options_bodyloaded ' data-id='bodyloaded'/>
                                    {{ gT("No") }}
                                </label>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='bodyloaded' value='inherit' class='selector_option_radio_field simple_edit_options_bodyloaded ' data-id='bodyloaded'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                        {% if(not oParentOptions.bodyloaded) %}
                            <p class="col-xs-12 text-warning">{{ gT("You need to reset template to use this option.") }}</p>
                        {% else %}
                            <p class="help-block col-xs-12">{{ gT("Hide content before loaded.") }}</p>
                        {% endif %}
                    </div>
                </div>
            </div>

            <div class="row action_hide_on_inherit">
                <hr/>
            </div>
            <h3 class="h3 action_hide_on_inherit">{{ gT("Content") }}</h3>
            <div class="row action_hide_on_inherit">
                {# Description #}
                <div class='col-sm-12 col-md-6 col-lg-3 container-fluid'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_descriptiondisplay' class='control-label col-xs-4'> {{ gT("Survey description display") }} </label>
                        <div class='col-xs-8'>
                            <select class='form-control selector_option_value_field' id='simple_edit_options_descriptiondisplay' name='descriptiondisplay' data-default="welcome">
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <option value="inherit"> {{ gT('Inherit') }}</option>
                                {% endif %}
                                <option value="welcome">{{ gT("Only on welcome page") }}</option>
                                <option value="all">{{ gT("All page") }}</option>
                            </select>
                        </div>
                    </div>
                </div>
                {# Title location #}
                <div class='col-sm-12 col-md-6 col-lg-3 container-fluid'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_titlelocation' class='control-label col-xs-4'>{{ gT("Title location and display") }}</label>
                        <div class='col-xs-8'>
                            <select class='form-control selector_option_value_field' id='simple_edit_options_titlelocation' name='titlelocation' data-default="header">
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <option value="inherit"> {{ gT('Inherit') }}</option>
                                {% endif %}
                                <option value="header">{{ gT("In header") }}</option>
                                <option value="content">{{ gT("In content") }}</option>
                                <option value="hidden">{{ gT("Hidden (in header for accessibility)") }}</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Brand Logo -->
            <h3 class="h3 action_hide_on_inherit">{{ gT("Logos") }}</h3>
            <div class="row action_hide_on_inherit">
                <div class='col-sm-12 col-md-4'>
                    {# Brandlogo #}
                    <div class='form-group row'>
                        <label for='simple_edit_options_brandlogo' class='control-label'>Brandlogo</label>
                        <div class='col-sm-12'>
                            <div class="btn-group" data-toggle="buttons">
                                <label class="btn btn-default">
                                    <input type='radio' name='brandlogo' value='on' class='selector_option_radio_field ' data-id='simple_edit_options_brandlogo'/>
                                    {{gT("Yes" )}}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='brandlogo' value='off' class='selector_option_radio_field ' data-id='simple_edit_options_brandlogo'/>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='brandlogo' value='inherit' class='selector_option_radio_field ' data-id='simple_edit_options_brandlogo'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
                <div class='col-sm-8 col-md-6'>
                    {#  Brandlogo file selector #}
                    <div class='form-group row'>
                        <label for='simple_edit_options_brandlogofile' class='control-label'>Brandlogo file</label>
                        <div class='col-sm-12'>
                            <select class='form-control selector_option_value_field selector_radio_childfield selector_image_selector' data-parent="brandlogo" id='simple_edit_options_brandlogofile' name='brandlogofile'>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <option value="inherit">{{ gT('Inherit') }}</option>
                                {% else %}
                                    <option data-lightbox-src="{{ imageSrc('./files/logo.png') }}" value="./files/logo.png">{{ gT('Default') }}</option>
                                {% endif %}
                                {% set optgroup = '' %}
                                {% for image in templateConfiguration.imageFileList %}
                                {% if image.group != optgroup %}
                                {% if optgroup != '' %}
                                    </optgroup>
                                {% endif %}
                                    <optgroup label="{{image.group}}">
                                {% set optgroup = image.group %}
                                {% endif %}
                                        <option data-lightbox-src="{{image.preview}}" value="{{image.filepath}}">{{image.filename}}</option>
                                {% endfor %}
                                    </optgroup>
                            </select>
                            <!-- an hidden element to get variations -->
                        </div>
                    </div>
                </div>
                <div class='col-sm-4 col-md-2'>
                    <br/>
                    <button class="btn btn-default selector__open_lightbox" data-target="#simple_edit_options_brandlogofile"> {{ gT('Preview image')}}</button>
                </div>
                <div class='col-sm-12 col-md-4'>
                    {# Brandlogo ad banner #}
                    <div class='form-group row'>
                        <label for='simple_edit_options_brandlogoasbanner' class='control-label'>{{ gT("Use logo as banner") }}</label>
                        <div class='col-sm-12'>
                            <div class="btn-group" data-toggle="buttons">
                                <label class="btn btn-default">
                                    <input type='radio' name='brandlogoasbanner' value='on' class='selector_option_radio_field ' data-id='simple_edit_options_brandlogoasbanner'/>
                                    {{gT("Yes" )}}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='brandlogoasbanner' value='off' class='selector_option_radio_field ' data-id='simple_edit_options_brandlogoasbanner'/>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='brandlogoasbanner' value='inherit' class='selector_option_radio_field ' data-id='simple_edit_options_brandlogoasbanner'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Survey list Logo -->
            <div class="row action_hide_on_inherit">
                <div class='col-sm-12 col-md-4'>
                    {# Survey list #}
                    <div class='form-group row'>
                        <label for='simple_edit_options_surveylistlogo' class='control-label'>Survey list logo</label>
                        <div class='col-sm-12'>
                            <div class="btn-group" data-toggle="buttons">
                                <label class="btn btn-default">
                                    <input type='radio' name='surveylistlogo' value='on' class='selector_option_radio_field ' data-id='simple_edit_options_surveylistlogo'/>
                                    {{gT("Yes" )}}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='surveylistlogo' value='off' class='selector_option_radio_field ' data-id='simple_edit_options_surveylistlogo'/>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='surveylistlogo' value='inherit' class='selector_option_radio_field ' data-id='simple_edit_options_surveylistlogo'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
                <div class='col-sm-8 col-md-6'>
                    {#  surveylistlogo file selector #}
                    <div class='form-group row'>
                        <label for='simple_edit_options_surveylistlogofile' class='control-label'>surveylistlogo file</label>
                        <div class='col-sm-12'>
                            <select class='form-control selector_option_value_field selector_radio_childfield selector_image_selector' data-parent="surveylistlogo" id='simple_edit_options_surveylistlogofile' name='surveylistlogofile'>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <option value="inherit">{{ gT('Inherit') }}</option>
                                {% else %}
                                    <option data-lightbox-src="{{ imageSrc('./files/survey_list_header.png') }}" value="./files/survey_list_header.png">{{ gT('Default') }}</option>
                                {% endif %}
                                {% set optgroup = '' %}
                                {% for image in templateConfiguration.imageFileList %}
                                {% if image.group != optgroup %}
                                {% if optgroup != '' %}
                                    </optgroup>
                                {% endif %}
                                    <optgroup label="{{image.group}}">
                                {% set optgroup = image.group %}
                                {% endif %}
                                        <option data-lightbox-src="{{image.preview}}" value="{{image.filepath}}">{{image.filename}}</option>
                                {% endfor %}
                                    </optgroup>
                            </select>
                        </div>
                    </div>
                </div>
                <div class='col-sm-4 col-md-2'>
                    <br/>
                    <button class="btn btn-default selector__open_lightbox" data-target="#simple_edit_options_surveylistlogofile"> {{ gT('Preview image')}}</button>
                </div>
            </div>

            <!-- Powered Logo -->
            <div class="row action_hide_on_inherit">
                <div class='col-sm-12 col-md-4'>
                    {# Survey list #}
                    <div class='form-group row'>
                        <label for='simple_edit_options_poweredlogo' class='control-label'>Powered link</label>
                        <div class='col-sm-12'>
                            <div class="btn-group" data-toggle="buttons">
                                <label class="btn btn-default">
                                    <input type='radio' name='poweredlogo' value='on' class='selector_option_radio_field ' data-id='simple_edit_options_poweredlogo'/>
                                    {{gT("Yes" )}}
                                </label>
                                <label class="btn btn-default">
                                    <input type='radio' name='poweredlogo' value='off' class='selector_option_radio_field ' data-id='simple_edit_options_poweredlogo'/>
                                    {{ gT("No") }}
                                </label>
                                {# If this is a root template setting, don't show the inherit button #}
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <label class="btn btn-default">
                                        <input type='radio' name='poweredlogo' value='inherit' class='selector_option_radio_field ' data-id='simple_edit_options_poweredlogo'/>
                                        {{ gT("Inherit") }}
                                    </label>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
                <div class='col-sm-8 col-md-6'>
                    {# poweredlogo file selector #}
                    <div class='form-group row'>
                        <label for='simple_edit_options_poweredlogofile' class='control-label'>poweredlogo file</label>
                        <div class='col-sm-12'>
                            <select class='form-control selector_option_value_field selector_radio_childfield selector_image_selector' data-parent="poweredlogo" id='simple_edit_options_poweredlogofile' name='poweredlogofile'>
                                {% if templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty %}
                                    <option value="inherit">{{ gT('Inherit') }}</option>
                                {% else %}
                                    <option data-lightbox-src="{{ imageSrc('./files/poweredby.png') }}" value="./files/poweredby.png">{{ gT('Default') }}</option>
                                {% endif %}
                                {% set optgroup = '' %}
                                {% for image in templateConfiguration.imageFileList %}
                                {% if image.group != optgroup %}
                                {% if optgroup != '' %}
                                    </optgroup>
                                {% endif %}
                                    <optgroup label="{{image.group}}">
                                {% set optgroup = image.group %}
                                {% endif %}
                                        <option data-lightbox-src="{{image.preview}}" value="{{image.filepath}}">{{image.filename}}</option>
                                {% endfor %}
                                    </optgroup>
                            </select>
                        </div>
                    </div>
                </div>
               <div class='col-sm-4 col-md-2'>
                    <br/>
                    <button class="btn btn-default selector__open_lightbox" data-target="#simple_edit_options_poweredlogofile"> {{ gT('Preview image')}}</button>
                </div>
            </div>
            <!-- Powered link , leave it for allowing usage in footer for example -->
            <div class="row action_hide_on_inherit">
                <div class='col-xs-12 col-sm-6'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_poweredlink' class='control-label col-xs-6'>Powered link</label>
                        <div class='col-xs-6'>
                                <input type='text' id="simple_edit_options_poweredlink" class="form-control text_option_string_field" name="poweredlink"
                                {% if (templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty) %}
                                    placeholder="{{ gT('Inherit') }}"
                                {% endif %}
                                >
                        </div>
                    </div>
                </div>
                <div class='col-xs-12 col-sm-6'>
                    <div class='form-group row'>
                        <label for='simple_edit_options_poweredtext' class='control-label col-xs-6'>Powered text</label>
                        <div class='col-xs-6'>
                                <input type='text' id="simple_edit_options_poweredtext" class="form-control text_option_string_field" name="poweredtext"
                                {% if (templateConfiguration.sid is not empty or templateConfiguration.gsid is not empty) %}
                                    placeholder="{{ gT('Inherit') }}"
                                {% endif %}
                                >
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row action_hide_on_inherit">
        <hr/>
    </div>
    <div class="row action_hide_on_inherit">
        {# Upload an image #}
        <div class="container-fluid ls-space margin bottom-15">
            <div class="row ls-space margin bottom-15">
                <div class="col-sm-6">
                    {{ sprintf( gT("Upload an image (maximum size: %d MB):"), (templateConfiguration.maxFileSize/1024/1024) ) }}
                </div>
                <div class="col-sm-6">
                {{ C.Html.form(createUrl('/admin/themes/sa/upload'), 'post', { 'id' : 'upload_frontend', 'name' : 'upload_frontend', 'enctype' :'multipart/form-data' }) }}
                    <span id="fileselector_frontend">
                        <label class="btn btn-default col-xs-8" for="upload_image_frontend">
                            <input class="hidden" id="upload_image_frontend" name="upload_image_frontend" type="file">
                            <i class="fa fa-upload ls-space margin right-10"></i>
                            {{ gT("Upload") }}
                        </label>
                    </span>
                        <input type='hidden' name='templatename' value='{{ templateConfiguration.template_name }}' />
                        <input type='hidden' name='templateconfig' value='{{ templateConfiguration.id }}' />
                        <input type='hidden' name='action' value='templateuploadimagefile' />
                        {% if templateConfiguration.sid is not empty %}
                            <input type='hidden' name='surveyid' value='{{ templateConfiguration.sid }}' />
                        {% endif %}
                    </form>
                </div>
            </div>
            <div class="row">
                <div class="progress">
                    <div id="upload_progress_frontend" class="progress-bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        <span class="sr-only">0%</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" tabindex="-1" role="dialog" id="lightbox-modal">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title selector__title"> </h4>
            </div>
            <div class="modal-body">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-xs-12">
                            <img class="selector__image img-responsive" src="" alt="title"  />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
